Subject: [ANNOUNCE] GNU Emacs 19.13 binaries now available
From: Rik Faith <[email-masked]>
Date: Tue, 15 Jun 93 13:35:39 GMT
Newsgroups: comp.os.linux.announce

I have uploaded Linux binaries for GNU Emacs 19.13 to:
    sunsite.unc.edu (/pub/Linux/apps/editors/emacs-19.13)
    tsx-11.mit.edu (/pub/linux/packages/emacs-19.13)

[They are in sunsite.unc.edu:/pub/Linux/Incoming at this time, and in
ftp.cs.unc.edu:/pub/faith/linux/utils]

Please get emacs-19.13-A.Notes if you want instructions on how to build
Emacs 19.13 from the source distribution.  There are no patches.  [I had
some problems linking with the 2.4.0 distribution ld and gcc 2.4.3, and
have included a short patch to fix this problem.  I suspect that this is a
problem that is local to my system and that you will not need any patches.
This is definately not a problem with emacs.]

Please get the following gzip'd tar files to install the binary release:
    emacs-19.13-A.bin433.tar.gz     [IF YOU ARE USING DLL 4.3.3]
    emacs-19.13-A.bin441.tar.gz     [IF YOU ARE USING DLL 4.4.1]
    emacs-19.13-A.misc.tar.gz
    emacs-19.13-A.elc.tar.gz
    emacs-19.13-A.el.1of2.tar.gz    [IF YOU WANT *.el FILES]
    emacs-19.13-A.el.2of2.tar.gz    [IF YOU WANT *.el FILES]

Each tar.z file might fit on a 1.2MB floppy.

For emacs-19.13-A.bin433.tar.gz, use Linux 0.99.9 or above and:

            libX11.so.3 (DLL Jump 3.0pl0)
            libc.so.4 (DLL Jump 4.3pl3)
            libm.so.4 (DLL Jump 4.3pl3)

For emacs-19.13-A.bin441.tar.gz, use Linux 0.99.10 and:

            libX11.so.3 (DLL Jump 3.0pl0)
            libc.so.4 (DLL Jump 4.4pl1)
            libm.so.4 (DLL Jump 4.4pl1)

Please don't ask me where to get DLL 4.4.1 -- I did this compile using the
4.4.0b *ALPHA* library, and am including it here because so many people
asked me to.  I suggest that if you don't want to deal with alpha software,
that you use gcc 2.3.3 and DLL 4.3.3.  If you want to be on the bleeding
edge, then you have to take the responsibility for upgrading correctly and
for dealing with bugs.  You will have to take the responsibility to contact
the appropriate people and to put in the appropriate amount of time and
effort.  Please don't whine when alpha software doesn't work.  Please don't
whine about DLL 4.4.0 -- it is buggy and nothing I have done will work with
it -- if you are using it, please don't bother trying this emacs19 release.

*** FOR THE FUTURE ***

    1) A console.el file that automatically enables the use of the keypad
       keys when in a standard Linux VT.
    2) Support (or documentation) for keypad keys when in an xterm using
       "emacs -nw"

*** INSTALLATION NOTES ***

The binary gets installed in /usr/bin/emacs-19.13, so it will not
over-write /usr/bin/emacs.

The libraries and support files are in /usr/lib/emacs, so it will not
over-write /usr/emacs.

Info is in /usr/info, so it will not over-write /usr/emacs/info.

Man pages are installed in /usr/man/man1, so they will probably over-write
the old man pages.

These are the new standard places for emacs19 to install things when
prefix=/usr.  It is a Good Thing that these choices also allow the
installation of emacs19 without messing up the emacs18 installation.

When you get emacs19 up, be sure that your .emacs file doesn't have the
emacs18 lisp files in the load-path before the emacs19 lisp files, or you
will get all sorts of interesting errors.  Please see the
emacs-19.13-A.Notes file for other suggestions on getting things working.

Please send patches and bug reports to [email-masked]

Send submissions for comp.os.linux.announce to: [email-masked]